<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="14b40778-1ff7-45a6-b9a6-ec49ada97c90" name="Default Changelist" comment="">
      <change afterPath="$PROJECT_DIR$/.idea/compiler.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/Maven__junit_junit_4_12.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/Maven__org_hamcrest_hamcrest_core_1_3.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/misc.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/modules.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/vcs.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/arraz.iml" beforeDir="false" afterPath="$PROJECT_DIR$/arraz.iml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/pom.xml" beforeDir="false" afterPath="$PROJECT_DIR$/pom.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/Arraz.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/Arraz.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/test/java/ArrazTest.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/test/java/ArrazTest.java" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FUSProjectUsageTrigger">
    <session id="70438997">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.closed" value="7" />
          <entry key="project.open.time.0" value="1" />
          <entry key="project.open.time.1" value="4" />
          <entry key="project.open.time.7" value="1" />
          <entry key="project.open.time.8" value="1" />
          <entry key="project.opened" value="7" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.open">
        <counts>
          <entry key="class" value="7" />
          <entry key="java" value="3" />
          <entry key="xml" value="1" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="CLASS" value="7" />
          <entry key="JAVA" value="3" />
          <entry key="XML" value="1" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.edit">
        <counts>
          <entry key="java" value="7860" />
          <entry key="xml" value="2" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="JAVA" value="7860" />
          <entry key="XML" value="2" />
        </counts>
      </usages-collector>
    </session>
  </component>
  <component name="FileEditorManager">
    <splitter split-orientation="horizontal" split-proportion="0.5116473">
      <split-first>
        <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
          <file pinned="false" current-in-tab="true">
            <entry file="file://$PROJECT_DIR$/src/main/java/Arraz.java">
              <provider selected="true" editor-type-id="text-editor">
                <state relative-caret-position="1987">
                  <caret line="183" column="17" selection-start-line="183" selection-start-column="17" selection-end-line="183" selection-end-column="17" />
                  <folding>
                    <element signature="imports" expanded="true" />
                    <element signature="e#465#466#0" expanded="true" />
                    <element signature="e#528#529#0" expanded="true" />
                  </folding>
                </state>
              </provider>
            </entry>
          </file>
          <file pinned="false" current-in-tab="false">
            <entry file="file://$PROJECT_DIR$/pom.xml">
              <provider selected="true" editor-type-id="text-editor">
                <state relative-caret-position="255">
                  <caret line="17" selection-start-line="17" selection-end-line="17" />
                </state>
              </provider>
            </entry>
          </file>
        </leaf>
      </split-first>
      <split-second>
        <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
          <file pinned="false" current-in-tab="true">
            <entry file="file://$PROJECT_DIR$/src/test/java/ArrazTest.java">
              <provider selected="true" editor-type-id="text-editor">
                <state relative-caret-position="3015">
                  <caret line="209" column="4" selection-start-line="209" selection-start-column="4" selection-end-line="209" selection-end-column="4" />
                  <folding>
                    <element signature="imports" expanded="true" />
                    <element signature="e#7436#7437#0" expanded="true" />
                    <element signature="e#7501#7502#0" expanded="true" />
                    <element signature="e#7735#7736#0" expanded="true" />
                    <element signature="e#7803#7804#0" expanded="true" />
                  </folding>
                </state>
              </provider>
            </entry>
          </file>
        </leaf>
      </split-second>
    </splitter>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/.." />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/pom.xml" />
        <option value="$PROJECT_DIR$/src/main/java/Arraz.java" />
        <option value="$PROJECT_DIR$/src/test/java/ArrazTest.java" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="MavenImportPreferences">
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="importAutomatically" value="true" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="y" value="23" />
    <option name="width" value="1440" />
    <option name="height" value="826" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="PackagesPane" />
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="arraz" type="b2602c69:ProjectViewProjectNode" />
              <item name="arraz" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="arraz" type="b2602c69:ProjectViewProjectNode" />
              <item name="arraz" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="arraz" type="b2602c69:ProjectViewProjectNode" />
              <item name="arraz" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="arraz" type="b2602c69:ProjectViewProjectNode" />
              <item name="arraz" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="arraz" type="b2602c69:ProjectViewProjectNode" />
              <item name="arraz" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="arraz" type="b2602c69:ProjectViewProjectNode" />
              <item name="arraz" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="android.sdk.path" value="$USER_HOME$/Library/Android/sdk" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1544221195198" />
    <property name="com.intellij.testIntegration.createTest.CreateTestDialog.defaultLibrary" value="JUnit4" />
    <property name="com.intellij.testIntegration.createTest.CreateTestDialog.defaultLibrarySuperClass.JUnit4" value="" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/pom.xml" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="project.structure.last.edited" value="Modules" />
    <property name="project.structure.proportion" value="0.0" />
    <property name="project.structure.side.proportion" value="0.0" />
    <property name="settings.editor.selected.configurable" value="reference.projectsettings.compiler.javacompiler" />
  </component>
  <component name="RecentsManager">
    <key name="CreateTestDialog.RecentsKey">
      <recent name="" />
    </key>
    <key name="CreateTestDialog.Recents.Supers">
      <recent name="" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="JUnit.ArrazTest">
    <configuration name="ArrazTest" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="arraz" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="ArrazTest" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ArrazTest.makeMeAnArrayFromArrayList" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="arraz" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="ArrazTest" />
      <option name="METHOD_NAME" value="makeMeAnArrayFromArrayList" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ArrazTest.mergeArraysTest" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="arraz" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="ArrazTest" />
      <option name="METHOD_NAME" value="mergeArraysTest" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ArrazTest.oddsArrayTest" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="arraz" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="ArrazTest" />
      <option name="METHOD_NAME" value="oddsArrayTest" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ArrazTest.sortArrayIntoEvensThenOddstest" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="arraz" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="ArrazTest" />
      <option name="METHOD_NAME" value="sortArrayIntoEvensThenOddstest" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="JUnit.ArrazTest.sortArrayIntoEvensThenOddstest" />
      <item itemvalue="JUnit.ArrazTest.mergeArraysTest" />
      <item itemvalue="JUnit.ArrazTest.oddsArrayTest" />
      <item itemvalue="JUnit.ArrazTest.makeMeAnArrayFromArrayList" />
      <item itemvalue="JUnit.ArrazTest" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="JUnit.ArrazTest" />
        <item itemvalue="JUnit.ArrazTest.makeMeAnArrayFromArrayList" />
        <item itemvalue="JUnit.ArrazTest.sortArrayIntoEvensThenOddstest" />
        <item itemvalue="JUnit.ArrazTest.mergeArraysTest" />
        <item itemvalue="JUnit.ArrazTest.oddsArrayTest" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="14b40778-1ff7-45a6-b9a6-ec49ada97c90" name="Default Changelist" comment="" />
      <created>1544045869877</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1544045869877</updated>
      <workItem from="1544045871380" duration="6855000" />
      <workItem from="1544102099479" duration="3983000" />
      <workItem from="1544131881054" duration="734000" />
      <workItem from="1544132796993" duration="9270000" />
      <workItem from="1544188517785" duration="17334000" />
      <workItem from="1544211958720" duration="91000" />
      <workItem from="1544216171486" duration="4638000" />
    </task>
    <servers />
  </component>
  <component name="TestHistory">
    <history-entry file="ArrazTest_evensArrayTest - 2018.12.07 at 16h 47m 50s.xml">
      <configuration name="ArrazTest.evensArrayTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ArrazTest_oddsArrayTest - 2018.12.07 at 16h 47m 53s.xml">
      <configuration name="ArrazTest.oddsArrayTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ArrazTest_sortArrayIntoEvensThenOddstest - 2018.12.07 at 16h 50m 27s.xml">
      <configuration name="ArrazTest.sortArrayIntoEvensThenOddstest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ArrazTest_mergeArraysTest - 2018.12.07 at 16h 50m 31s.xml">
      <configuration name="ArrazTest.mergeArraysTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ArrazTest_sortArrayIntoEvensThenOddstest - 2018.12.07 at 16h 56m 57s.xml">
      <configuration name="ArrazTest.sortArrayIntoEvensThenOddstest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ArrazTest_sortArrayIntoEvensThenOddstest - 2018.12.07 at 17h 00m 15s.xml">
      <configuration name="ArrazTest.sortArrayIntoEvensThenOddstest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ArrazTest_makeMeAnArrayFromArrayList - 2018.12.07 at 17h 18m 41s.xml">
      <configuration name="ArrazTest.makeMeAnArrayFromArrayList" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ArrazTest_makeMeAnArrayFromArrayList - 2018.12.07 at 17h 19m 00s.xml">
      <configuration name="ArrazTest.makeMeAnArrayFromArrayList" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ArrazTest_makeMeAnArrayFromArrayList - 2018.12.07 at 17h 19m 18s.xml">
      <configuration name="ArrazTest.makeMeAnArrayFromArrayList" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ArrazTest - 2018.12.07 at 17h 19m 57s.xml">
      <configuration name="ArrazTest" configurationId="JUnit" />
    </history-entry>
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="42905000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="0" y="23" width="1440" height="826" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.14306152" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Image Layers" order="2" />
      <window_info id="Designer" order="3" />
      <window_info id="UI Designer" order="4" />
      <window_info id="Capture Tool" order="5" />
      <window_info id="Favorites" order="6" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.3119891" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.39782017" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Version Control" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Database Changes" order="8" show_stripe_button="false" />
      <window_info anchor="bottom" id="Terminal" order="9" />
      <window_info anchor="bottom" id="Event Log" order="10" side_tool="true" />
      <window_info anchor="bottom" id="Messages" order="11" weight="0.32288828" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="right" id="Capture Analysis" order="4" />
      <window_info anchor="right" id="Database" order="5" />
      <window_info anchor="right" id="Theme Preview" order="6" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
      <window_info anchor="right" id="Maven Projects" order="8" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="editorHistoryManager">
    <entry file="jar://$MAVEN_REPOSITORY$/junit/junit/4.12/junit-4.12.jar!/org/junit/runners/ParentRunner.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="18">
          <caret line="194" column="25" selection-start-line="194" selection-start-column="25" selection-end-line="194" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/junit/junit/4.12/junit-4.12.jar!/org/junit/internal/runners/model/ReflectiveCallable.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="195">
          <caret line="16" selection-start-line="16" selection-end-line="16" />
        </state>
      </provider>
    </entry>
    <entry file="jar:///Library/Java/JavaVirtualMachines/jdk1.8.0_191.jdk/Contents/Home/jre/lib/rt.jar!/sun/reflect/NativeMethodAccessorImpl.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="360">
          <caret line="33" column="33" selection-start-line="33" selection-start-column="33" selection-end-line="33" selection-end-column="33" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="255">
          <caret line="17" selection-start-line="17" selection-end-line="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/Arraz.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1987">
          <caret line="183" column="17" selection-start-line="183" selection-start-column="17" selection-end-line="183" selection-end-column="17" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#465#466#0" expanded="true" />
            <element signature="e#528#529#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/ArrazTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3015">
          <caret line="209" column="4" selection-start-line="209" selection-start-column="4" selection-end-line="209" selection-end-column="4" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#7436#7437#0" expanded="true" />
            <element signature="e#7501#7502#0" expanded="true" />
            <element signature="e#7735#7736#0" expanded="true" />
            <element signature="e#7803#7804#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor />
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <last-edited>No facets are configured</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <last-edited>arraz</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
                <option value="0.6" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <last-edited>Maven: junit:junit:4.12</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>